summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-01-29 00:36:30 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-01-29 00:36:30 +0000
commite8938914d0775379b75f438dbe93c3454e87f97e (patch)
tree277dfcb6defdb5bb669000e0ace965abfc3f2f91 /dev-python
parent2adb9f85ee026f9401b92d81751392c1228f8b6a (diff)
downloadbaldeagleos-repo-e8938914d0775379b75f438dbe93c3454e87f97e.tar.gz
baldeagleos-repo-e8938914d0775379b75f438dbe93c3454e87f97e.tar.xz
baldeagleos-repo-e8938914d0775379b75f438dbe93c3454e87f97e.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/pdfrw/Manifest2
-rw-r--r--dev-python/pdfrw/metadata.xml2
-rw-r--r--dev-python/pdfrw/pdfrw-0.4.ebuild53
-rw-r--r--dev-python/pdfrw/pdfrw-0.4_p1.ebuild58
-rw-r--r--dev-python/python3-saml/Manifest1
-rw-r--r--dev-python/python3-saml/python3-saml-1.10.1.ebuild36
6 files changed, 97 insertions, 55 deletions
diff --git a/dev-python/pdfrw/Manifest b/dev-python/pdfrw/Manifest
index b435bb703dcb..17ba1dd8c366 100644
--- a/dev-python/pdfrw/Manifest
+++ b/dev-python/pdfrw/Manifest
@@ -1,2 +1,2 @@
-DIST pdfrw-0.4.tar.gz 95402 BLAKE2B 00f01f8d4cca9c5306d08094639d4cb10c53aca1c81b6c65f5639c8862a067e562c164523cc58abddb06b39dabcc50c2fbcdcf04a291309cac709cbfd0cf4673 SHA512 6c0b629e837f9bd479a288bcd040952b98920da345113bf90167becbdf2f90a9d6c082c5e7988c68118bd62a2a5a0d22f98523407996531bb5d3031e847e10b0
+DIST pdfrw-0.4-1.tar.gz 143615 BLAKE2B 281dc94c762dcc776e2c9c84609b59ca32387510bcfbec39271a6073533f9ad5d416cf4250b3dcd8564973d197ce090719c5561f58b972c89d463b90723ac8e6 SHA512 f2ef6a966cb1b947425679e6c16e658b5d1dbc13d62fb2e1edc278508b03f6c6847b3c83dab8bcd7df3438e587df066bc16b653461ae402bb8688ddb05f4e886
DIST pdfrw-static_pdfs-d646009a0e3e71daf13a52ab1029e2230920ebf4.tar.gz 25243391 BLAKE2B 5c491d56c9731352907787bbe10b8b3ac362f0c7892ddcd15a1299d3b2b4bb604662f6231aa22478290992a345e769af2e2c2459a25a16c370ea05fa68101f80 SHA512 9bf1d5ddc8f55b40b50041e745579406bb0036fb7795ac40064aad7cdf592869051ba84a5ab080042e237690bb2f1811b86b2a4424535aa4c367f6e29a0c34eb
diff --git a/dev-python/pdfrw/metadata.xml b/dev-python/pdfrw/metadata.xml
index 8d84a9e12023..8f147ede56d7 100644
--- a/dev-python/pdfrw/metadata.xml
+++ b/dev-python/pdfrw/metadata.xml
@@ -8,7 +8,7 @@
<stabilize-allarches/>
<upstream>
<remote-id type="pypi">pdfrw</remote-id>
- <remote-id type="github">pmaupin/pdfrw</remote-id>
+ <remote-id type="github">sarnold/pdfrw</remote-id>
</upstream>
<origin>gentoo-staging</origin>
</pkgmetadata>
diff --git a/dev-python/pdfrw/pdfrw-0.4.ebuild b/dev-python/pdfrw/pdfrw-0.4.ebuild
deleted file mode 100644
index 2195bd7c1bd1..000000000000
--- a/dev-python/pdfrw/pdfrw-0.4.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-PDFS_COMMIT=d646009a0e3e71daf13a52ab1029e2230920ebf4
-DESCRIPTION="PDF file reader/writer library"
-HOMEPAGE="https://github.com/pmaupin/pdfrw"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
- test? (
- https://github.com/pmaupin/static_pdfs/archive/${PDFS_COMMIT}.tar.gz
- -> pdfrw-static_pdfs-${PDFS_COMMIT}.tar.gz
- )"
-
-LICENSE="BSD MIT"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ppc ppc64 sparc x86"
-
-BDEPEND="
- test? ( dev-python/reportlab[${PYTHON_USEDEP}] )"
-
-# unittest would be sufficient but its output is unreadable
-distutils_enable_tests pytest
-
-src_unpack() {
- default
- if use test; then
- mv "static_pdfs-${PDFS_COMMIT}"/* "${P}"/tests/static_pdfs/ || die
- fi
-}
-
-src_prepare() {
- # broken upstream (sensitive to reportlab version?)
- sed -e 's:test_rl1_platypus:_&:' \
- -i tests/test_examples.py || die
- # fails with py3
- sed -e '/repaginate\/7037/s:[0-9a-f]*$:skip:' \
- -e '/.*\/72eb/s:[0-9a-f]*$:skip:' \
- -i tests/expected.txt || die
- # fix py3.7+ some
- sed -i -e 's:raise StopIteration:return:' pdfrw/tokens.py || die
-
- distutils-r1_src_prepare
-}
-
-src_test() {
- cd tests || die
- distutils-r1_src_test
-}
diff --git a/dev-python/pdfrw/pdfrw-0.4_p1.ebuild b/dev-python/pdfrw/pdfrw-0.4_p1.ebuild
new file mode 100644
index 000000000000..f854bec7af8c
--- /dev/null
+++ b/dev-python/pdfrw/pdfrw-0.4_p1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+PDFS_COMMIT=d646009a0e3e71daf13a52ab1029e2230920ebf4
+DESCRIPTION="PDF file reader/writer library"
+HOMEPAGE="https://github.com/pmaupin/pdfrw"
+
+if [[ ${PV} = 9999* ]]; then
+ EGIT_REPO_URI="https://github.com/sarnold/hexdump.git"
+ EGIT_BRANCH="main"
+ inherit git-r3
+ KEYWORDS=""
+else
+ MY_PV="${PV/_p/-}"
+ MY_P="${PN}-${MY_PV}"
+ SRC_URI="https://github.com/sarnold/${PN}/archive/${MY_PV}.tar.gz -> ${PN}-${MY_PV}.tar.gz
+ test? ( https://github.com/pmaupin/static_pdfs/archive/${PDFS_COMMIT}.tar.gz
+ -> pdfrw-static_pdfs-${PDFS_COMMIT}.tar.gz )"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+ S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="BSD MIT"
+SLOT="0"
+IUSE="crypt test"
+
+BDEPEND="dev-python/pillow[${PYTHON_USEDEP}]
+ crypt? ( dev-python/pycryptodome[${PYTHON_USEDEP}] )
+ test? ( dev-python/reportlab[${PYTHON_USEDEP}]
+ >=dev-python/pytest-3.0.3[${PYTHON_USEDEP}] )"
+
+RESTRICT="!test? ( test )"
+
+# unittest would be sufficient but its output is unreadable
+distutils_enable_tests pytest
+
+src_unpack() {
+ default
+ if use test; then
+ mv "static_pdfs-${PDFS_COMMIT}"/* "${MY_P}"/tests/static_pdfs || die
+ fi
+}
+
+src_prepare() {
+ # broken upstream (sensitive to reportlab version?)
+ #sed -e 's:test_rl1_platypus:_&:' \
+ # -i tests/test_examples.py || die
+ eapply "${FILESDIR}/pdfrw-fix-import-collections-warning.patch"
+ use test && eapply "${FILESDIR}/pdfrw-static-fix-import-collections-warning.patch"
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/python3-saml/Manifest b/dev-python/python3-saml/Manifest
index 69a6b153fe44..59e40f53dda3 100644
--- a/dev-python/python3-saml/Manifest
+++ b/dev-python/python3-saml/Manifest
@@ -1,2 +1,3 @@
DIST python3-saml-1.10.0.tar.gz 503005 BLAKE2B 88be9b00082d00c86081432dd6789c0f040e8e210d3d1de218f8bf7a41cf32acce6aa90f92b6e083142a2a5c8f820eb9f8b6e880e742400b8bb83e7eb28db392 SHA512 82d15ef4315d25b38506177cbb4ef095a0546705035491847597b353486e119026c700f5d4d22764c93646f645e13d93d75bd3541c2c5b31343bcee35a42ead3
+DIST python3-saml-1.10.1.tar.gz 503178 BLAKE2B 6c87f26db03799ee92211baf1216751c293ae6182d8f8abb094fcc47c2c28ca7be933b64b0dc3cbd52ea55a0cd19c4fc96a71bb89839d41fdd3eb3daee21d293 SHA512 64bd3fc11749ef8340fa59788277e5213edec6d93f7924e412e517846623dce88b97c407ca7ae0d58172cc78a8b713c2916fe5c29df3419fa10f34b84bdb549c
DIST python3-saml-1.9.0.tar.gz 497106 BLAKE2B c3b282be835dcd0590125563ed0380bbb5d486aeffd60fa0d6a1e7d22b25ffaa03a1bea555520b1465b27b352df0936d21b919ce73a3671d63f07a52b3efdb37 SHA512 a5171258b917c02f10a0c420a19fe6829a034df1dfd87135351b9c187314dca2f973012f49056f391444aba76306adfd48cd77a859274d5cbd2a8c23a00af78d
diff --git a/dev-python/python3-saml/python3-saml-1.10.1.ebuild b/dev-python/python3-saml/python3-saml-1.10.1.ebuild
new file mode 100644
index 000000000000..f1a10c7dfa20
--- /dev/null
+++ b/dev-python/python3-saml/python3-saml-1.10.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="OneLogin's SAML Python Toolkit"
+HOMEPAGE="https://github.com/onelogin/python3-saml
+ https://pypi.org/project/python3-saml/"
+SRC_URI="https://github.com/onelogin/python3-saml/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+RDEPEND="
+ >=dev-python/isodate-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-3.3.5[${PYTHON_USEDEP}]
+ >=dev-python/python-xmlsec-1.0.5[${PYTHON_USEDEP}]
+ >=dev-python/defusedxml-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests setup.py
+
+src_prepare() {
+ # unpin deps
+ sed -i -e 's:==:>=:' setup.py || die
+ distutils-r1_src_prepare
+}